
.. index::
   pair: Doxylink ; Sphinx extension
   ! Doxylink

.. _doxylink:

==========================
Doxylink
==========================

.. seealso::

   - https://pythonhosted.org/sphinxcontrib-doxylink/
   - https://github.com/thewtex/sphinx-contrib/tree/master/doxylink




Description
===========

A Sphinx_ extension to link to external Doxygen API documentation.

Usage
-----

Please refer to the documentation_ for information on using this extension.

Installation
------------

This extension can be installed from the Python Package Index::

   pip install sphinxcontrib-doxylink

Alternatively, you can clone the sphinx-contrib_ repository from BitBucket,
and install the extension directly from the repository::

   hg clone http://bitbucket.org/birkenfeld/sphinx-contrib
   cd sphinx-contrib/doxylink
   python setup.py install

.. _`Sphinx`: http://sphinx-doc.org/latest
.. _`sphinx-contrib`: http://bitbucket.org/birkenfeld/sphinx-contrib
.. _`documentation`: http://packages.python.org/sphinxcontrib-doxylink


Doxylink Examples
=================

.. toctree::
   :maxdepth: 3

   doxylink_examples/doxylink_examples
